/*
 * GooCanvas. Copyright (C) 2005 Damon Chaplin.
 * Released under the GNU LGPL license. See COPYING for details.
 *
 * goocanvasmodelsimple.h - simple canvas model.
 */
#ifndef __GOO_CANVAS_MODEL_SIMPLE_H__
#define __GOO_CANVAS_MODEL_SIMPLE_H__

#include <gtk/gtk.h>
#include "goocanvasmodel.h"

G_BEGIN_DECLS


#define GOO_TYPE_CANVAS_MODEL_SIMPLE            (goo_canvas_model_simple_get_type ())
#define GOO_CANVAS_MODEL_SIMPLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOO_TYPE_CANVAS_MODEL_SIMPLE, GooCanvasModelSimple))
#define GOO_CANVAS_MODEL_SIMPLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GOO_TYPE_CANVAS_MODEL_SIMPLE, GooCanvasModelSimpleClass))
#define GOO_IS_CANVAS_MODEL_SIMPLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GOO_TYPE_CANVAS_MODEL_SIMPLE))
#define GOO_IS_CANVAS_MODEL_SIMPLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GOO_TYPE_CANVAS_MODEL_SIMPLE))
#define GOO_CANVAS_MODEL_SIMPLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GOO_TYPE_CANVAS_MODEL_SIMPLE, GooCanvasModelSimpleClass))


typedef struct _GooCanvasModelSimple       GooCanvasModelSimple;
typedef struct _GooCanvasModelSimpleClass  GooCanvasModelSimpleClass;

/**
 * GooCanvasModelSimple
 *
 * The #GooCanvasModelSimple-struct struct contains private data only.
 */
struct _GooCanvasModelSimple
{
  GObject parent;

  /* The root group that contains all the layers, from bottom to top.
     Each layer group can contain any number of child items and groups. */
  GooCanvasItem *root_group;
};

struct _GooCanvasModelSimpleClass
{
  GObjectClass parent_class;
};


GType                 goo_canvas_model_simple_get_type (void) G_GNUC_CONST;
GooCanvasModelSimple* goo_canvas_model_simple_new      (void);


G_END_DECLS

#endif /* __GOO_CANVAS_MODEL_SIMPLE_H__ */
