/*
 * GooCanvas. Copyright (C) 2005 Damon Chaplin.
 * Released under the GNU LGPL license. See COPYING for details.
 *
 * goocanvasrect.h - rectangle item.
 */
#ifndef __GOO_CANVAS_RECT_H__
#define __GOO_CANVAS_RECT_H__

#include <gtk/gtk.h>
#include "goocanvasitemsimple.h"

G_BEGIN_DECLS


#define GOO_TYPE_CANVAS_RECT            (goo_canvas_rect_get_type ())
#define GOO_CANVAS_RECT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GOO_TYPE_CANVAS_RECT, GooCanvasRect))
#define GOO_CANVAS_RECT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GOO_TYPE_CANVAS_RECT, GooCanvasRectClass))
#define GOO_IS_CANVAS_RECT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GOO_TYPE_CANVAS_RECT))
#define GOO_IS_CANVAS_RECT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GOO_TYPE_CANVAS_RECT))
#define GOO_CANVAS_RECT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GOO_TYPE_CANVAS_RECT, GooCanvasRectClass))


typedef struct _GooCanvasRect       GooCanvasRect;
typedef struct _GooCanvasRectClass  GooCanvasRectClass;

/**
 * GooCanvasRect
 *
 * The #GooCanvasRect-struct struct contains private data only.
 */
struct _GooCanvasRect
{
  GooCanvasItemSimple parent;

  gdouble x, y, width, height, radius_x, radius_y;
};

struct _GooCanvasRectClass
{
  GooCanvasItemSimpleClass parent_class;
};


GType          goo_canvas_rect_get_type        (void) G_GNUC_CONST;
GooCanvasItem* goo_canvas_rect_new             (GooCanvasItem *parent,
						gdouble        x,
						gdouble        y,
						gdouble        width,
						gdouble        height,
						const gchar   *first_property,
						...);


G_END_DECLS

#endif /* __GOO_CANVAS_RECT_H__ */
